GCLOUD_COMPUTE_INSTANCE-GROUPS_MANAGED_ABANDON-INSTANCES(1)

NAME

gcloud compute instance-groups managed abandon-instances - abandon instances owned by a managed instance group

SYNOPSIS

gcloud compute instance-groups managed abandon-instances NAME --instances INSTANCE,[INSTANCE,...] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instance-groups managed abandon-instances abandons one or more instances from a managed instance group, thereby reducing the targetSize of the group. Once instances have been abandoned, the currentSize of the group is automatically reduced as well to reflect the change. Abandoning an instance does not delete the underlying virtual machine instances, but just removes the instances from the instance group. If you would like the delete the underlying instances, use the delete-instances command instead.

POSITIONAL ARGUMENTS
NAME
    The managed instance group name.

REQUIRED FLAGS
--instances INSTANCE,[INSTANCE,...]
    Names of instances to abandon.

OPTIONAL FLAGS
--zone ZONE
    The zone of the instance group manager to abandon instances. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.